```
# Identify numeric features and categorical features
numerical_features = df_X_train.dtypes == 'float'
categorical_features = ~numerical_features

numerical_features_name = numerical_features.loc[numerical_features==True].index.values

for k,v in zip(categorical_features.index,categorical_features.values):
    if v == True:
        df_X_train[k] = df_X_train[k].apply(lambda x:x if pd.isnull(x) else str(x))
        df_X_test[k] = df_X_test[k].apply(lambda x:x if pd.isnull(x) else str(x))

# One-hot encoding for categorical variables 
df_X_train_1 = pd.get_dummies(df_X_train,dummy_na=True)
df_X_test_1 = pd.get_dummies(df_X_test,dummy_na=True)

# Retrieve numeric columns and categorical columns
numerical_features = df_X_train_1.dtypes == 'float'
categorical_features = ~numerical_features

# Fill missing one-hot-encoded columns in the test dataset
missing_cols = set( df_X_train_1.columns ) - set( df_X_test_1.columns )
for c in missing_cols:
    df_X_test_1[c] = 0
df_X_test_1 = df_X_test_1[df_X_train_1.columns]


fields = df_X_train_1.columns.values
train_fields_dummies = [h for h in fields if h not in test_fields]

```