```
import pandas as pd

TARGET_LIST = ['Mortality','Recurrence']
TARGET = 'Mortality'
# Load dataset as pandas dataframe
df_data = pd.read_excel("./data.xlsx")

# Identify training fields and test fields
train_fields = [h for h in df_data.columns if h != TARGET_LIST]
test_fields = [h for h in df_data.columns if h == TARGET]
fields = train_fields + test_fields

# Split data into training set and test set according to hospital institutions
TEST_HOSPITAL_LIST = ['FYK','GH','HHH','KH','KWH','PWH','PYH','RH']
df_train = df_data.loc[df_data['Hospital'].isin(TEST_HOSPITAL_LIST)==False]
df_test = df_data.loc[df_data['Hospital'].isin(TEST_HOSPITAL_LIST)]
df_X_train = df_train[train_fields].copy().drop(columns='Hospital')
df_y_train = df_train[test_fields].copy()
df_X_test = df_test[train_fields].copy().drop(columns='Hospital')
df_y_test = df_test[test_fields].copy()
```